%define module  NKF
%define name    perl-%{module}
%define version 2.0.7
%define ver     207
%define release %mkrel 2

Name:       %name
Version:    %version
Release:    %release
Summary:    Perl extension for Network Kanji Filter
License:    BSD-like
Group:      System/Internationalization
URL:        http://sourceforge.jp/projects/nkf
Source0:    http://prdownloads.sourceforge.jp/nkf/20770/nkf%{ver}.tar.bz2
BuildRequires:  perl-devel
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) %{version}
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
%setup -q -n nkf%{ver}/NKF.mod

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make  CFLAGS='%{optflags}'

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/NKF.pm
%{perl_vendorarch}/auto/NKF
%{_mandir}/man3/*




%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.7-2mdv2008.1
+ Revision: 152230
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.0.7-1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.7-1mdv2007.0
+ Revision: 134334
- add URL
- new version

* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.71-8mdk
- drop translated stuff in spec file (per policy)
- fix conflict with nkf (#18901)

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.71-7mdk
- rebuild for new perl

